User's Guide | Next | Previous

## Random

Random is not really a load-balancing algorithm, and should be used only for testing! It takes each object and randomly assigns it to a new part. Via a parameter, one can alternatively choose to randomly perturb only a fraction of the objects. The random method does not use weights and does not attempt to achieve load balance.

Method String: | Random
Parameters: |
RANDOM_MOVE_FRACTION | The fraction of objects to randomly move. 1.0 = move all; 0.0 = move nothing
Default: |
| RANDOM_MOVE_FRACTION = 1.0
Required Query Functions: |
| ZOLTAN_NUM_OBJ_FN
| ZOLTAN_OBJ_LIST_FN

[Table of Contents | Next: Geometric (Coordinate-Based) Partitioners | Previous: Cyclic | Privacy and Security]